package com.persagy.ems.pojo.system;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.core.annotation.Column;
import com.persagy.core.annotation.Dimension;
import com.persagy.core.annotation.Entity;
import com.persagy.core.annotation.Table;
import com.persagy.core.enumeration.Schema;
import com.persagy.core.mvc.pojo.BaseId;

/**
 * 文件资源存储  文件，图片等信息
 */
@Dimension
@Entity(name="FileResource")
@Table(
		name="t_file_resource",
		comment="文件资源存储",
		schema=Schema.EMS
)
public class FileResource extends BaseId {

	private static final long serialVersionUID = 7471065344744148494L;
	
	@Column(order=10,name="c_name",length=100,nullable=true,comment="文件显示名")
	@JsonProperty("name")
	private String name;
	
	@Column(order=20,name="c_suffix",length=10,nullable=true,comment="后缀")
	@JsonProperty("suffix")
	private String suffix;
	
	@Column(order=30,name="c_subdirectory",length=500,nullable=false,comment="子目录")
	@JsonProperty("subdirectory")
	private String subdirectory;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSuffix() {
		return suffix;
	}

	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}

	public String getSubdirectory() {
		return subdirectory;
	}

	public void setSubdirectory(String subdirectory) {
		this.subdirectory = subdirectory;
	}
	
}
